Logo

Hover an endpoint and click the pin icon to pin it here.

GETGet Enriched NetFlow Data
GETGet Network Diagram Summary
GETGet Top Destinations
GETGet Data Transfer
GETGet Services
GETGet Protocols
GETGet Top Things
GETGet Breakouts
GETGet TCP-Flags
GETGet NetFlow Summary
GETGet Groups Filter List
GETGet MNO Filter List
GETGet Profiles Filter List
GETGet Countries Filter List
GETGet Breakout Filter List
GETGet Protocols Filter List
GETGet Invoice Type Filter List
GETGet Payment Status Filter List
GETGet Billing Period Filter List
GETGet Account Filter List
GETGet Account Billable Filter List
GETGet Exceptional Billable Filter List
GETGet Payment Reports
POSTCreate Payment Report
GETGet Data Usage
GETGet Insights
GETGet Dashboard Summary
GETGet Top Groups
GETGet Top Identities
GETGet Top Networks
GETGet Top Consumers
GETGet Active Things
GETDownload Payment Report
GETGet Top DNS Transfer
GETGet DNS Summary
GETGet DNS Time Series
GETGet DNS Top Queries
GETGet DNS Top Donut
GETGet DNS Clients Affected
GETGet DNS Top Failing Domains
GETGet DNS Failing Things
GETGet DNS Resolver Coverage
GETGet NetFlow Insights
GETGet Things Status
GETGet Countries
GETGet Thing Data Usage
GETGet Group Data Usage
GETGet Tag Data Usage
v1.0.35
Admin
get
api.monogoto.io/v1/filters/billing-period

Get Billing Period Filter List

Scopes
dashboard:read
Rate limited
60 reqevery 1 minute·keyed byUser ID

Billing-period options for the payment dashboard filter: every calendar month (UTC) touched by the range, formatted Month YYYY (e.g. January 2026), oldest first. When the range crosses a calendar year only the most recent 6 months are returned.

The range is taken from from and to when either is sent (both are then required, in order); otherwise from start_time/end_time or period (no maximum range here); otherwise it is the current month and the 5 before it.

Parameters

Query
fromdate-time
optional

Range start in ISO 8601. When from or to is sent, both must be sent (400 Both from and to must be provided), and from must not be after to (400 from cannot be after to).

todate-time
optional

Range end in ISO 8601. Must be sent together with from.

start_timedate-time
optional

Range start in ISO 8601 UTC format, used when neither from nor to is sent. When start_time or end_time is sent, both must be sent (400 otherwise), and start_time must not be after end_time (400).

end_timedate-time
optional

Range end in ISO 8601 UTC format, used together with start_time.

periodstring
optional

Predefined period, used when none of from, to, start_time and end_time is sent.

enum:todaylast_24_hoursyesterdaylast_7_daysthis_monthlast_monthlast_30_daysthis_quarterlast_quarterthis_yearlast_yearlast_12_months

Responses

Billing-period filter list retrieved successfully.

application/json
object
status_codeinteger
required

HTTP status code

messagestring
required

Response message

dataobject
required

List of available filter options.

itemsarray[object]
required

Array of filter options.

[ ]object
optional

A single filter option with a display name and value identifier.

request_idstring
required

Unique request ID for tracking

Example

{
  "status_code": 200,
  "message": "Success",
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "data": {
    "items": [
      {
        "name": "January 2026",
        "id": "January 2026"
      },
      {
        "name": "February 2026",
        "id": "February 2026"
      },
      {
        "name": "March 2026",
        "id": "March 2026"
      }
    ]
  }
}

Related

5
GET

Get Enriched NetFlow Data

/v1/netflow/enriched

GET

Get Network Diagram Summary

/v1/netflow/networkdiagram-summary

GET

Get Top Destinations

/v1/netflow/top-destinations

GET

Get Data Transfer

/v1/netflow/data-transfer

GET

Get Services

/v1/netflow/services

Was this page helpful?

/
curl -X GET 'https://api.monogoto.io/v1/filters/billing-period?from=2026-01-01T00%3A00%3A00Z&to=2026-03-31T23%3A59%3A59Z&start_time=2026-01-01T00%3A00%3A00Z&end_time=2026-03-31T23%3A59%3A59Z&period=last_30_days' \
  -H 'Authorization: Bearer $TOKEN'

Billing-period filter list retrieved successfully.

{
  "status_code": 200,
  "message": "Success",
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "data": {
    "items": [
      {
        "name": "January 2026",
        "id": "January 2026"
      },
      {
        "name": "February 2026",
        "id": "February 2026"
      },
      {
        "name": "March 2026",
        "id": "March 2026"
      }
    ]
  }
}